import os

from gi.repository import Gtk
from gi.repository import Gdk

from sugar3.graphics import style
from sugar3.graphics.icon import Icon
from sugar3.graphics.icon import EventIcon
from sugar3.graphics.palette import Palette

from jarabe.model.buddy import get_owner_instance
from sugar3.graphics.icon import CanvasIcon
from jarabe.desktop.favoriteslayout import SpreadLayout
from jarabe.desktop.viewcontainer import ViewContainer

def _destroy_cb(widget, data=None):
    Gtk.main_quit()

window = Gtk.Window()
window.set_default_size(400, 300)
window.connect("destroy", _destroy_cb)
window.show()

settings = Gtk.Settings.get_default()
sugar_theme = 'sugar-72'
if 'SUGAR_SCALING' in os.environ:
    if os.environ['SUGAR_SCALING'] == '100':
        sugar_theme = 'sugar-100'
settings.set_property('gtk-theme-name', sugar_theme)
settings.set_property('gtk-icon-theme-name', 'sugar')


layout = SpreadLayout()


owner_icon = CanvasIcon(icon_name='computer-xo',
                        pixel_size=style.MEDIUM_ICON_SIZE)

view = ViewContainer(layout, owner_icon)
window.add(view)
view.show()

for i in range(25):
    network_icon = CanvasIcon(icon_name='network-mesh',
                              pixel_size=style.STANDARD_ICON_SIZE)
    view.add(network_icon)
    network_icon.show()

Gtk.main()
